#!/bin/sh
# *
# * `pinit' used to init ZimDemo.xcodeproj dependency

R(){
    echo "\033[31m"$1"\033[0m"
}
G(){
    echo "\033[32m"$1"\033[0m"
}
P(){
    echo "\033[35m"$1"\033[0m"
}

G "making ZimDemo .."
rm -rf Products/
if [ ! -d "Products/ZimDemo" ]; then mkdir -pv "Products/ZimDemo"; fi
ls | grep -v "out\|Products\|build\|Makefile\|Podfile\|Pods\|deploy.sh\|ZimDemo.xcworkspace\|ZimDemo.podspec\|DerivedData" | while read i; do
    echo " - copy '$i'"
    cp -av "$i" Products/ZimDemo
done
P "done."
